@font-face {
    font-family: poppins-bold;
    src: url(/Poppins-Bold.ttf);
}
@font-face {
    font-family: poppins-light;
    src: url(/Poppins-Light.ttf);
}

*{
    box-sizing: border-box;
    text-decoration: none;
}
html{
    font-size: 10px;
}
body{
    background: rgb(0,0,0);
background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(46,84,149,1) 50%, rgba(34,49,122,1) 100%);
}
/* /--------------------------------navigation part------------------------- */
.container1{
    height: 4rem;
    background-color: red;
    /* border: 0.2rem solid red; */
}


 /* /--------------------------------navigation part(end)------------------------- */

 .cardBox{
    background: rgb(0,0,0);
background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(46,84,149,1) 50%, rgba(34,49,122,1) 100%);
    /* background-color: aqua; */
    position: absolute;
    width:98vw;
    top: 13rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
 }

/* ---------------------------cards part(start)------------------------ */
.cardone{
    width: 31%;
height: 33rem;
padding: 1rem;
background: rgba(46, 84, 149, 0.48);
border-radius: 16px;
box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
backdrop-filter: blur(3.9px);
-webkit-backdrop-filter: blur(3.9px);
border: 1px solid rgba(46, 84, 149, 0.6);
margin: 1rem;
}
 /* ---------------------------img part(start)------------------------ */
.img17,.img2,.img3,.img4,.img5,.img6,.img7,.img8,.img9,.img10,.img11,.img1,.img12,.img13,.img14,.img15,.img16,.img18,.img19,.img20{
    height: 63%;
background-color: rgb(52, 52, 115);
border: 0.1rem solid blue;
background-repeat: no-repeat;
background-size: contain;
background-position: center;
}
.img17{
    background-image: url('/static/17.jpg');
}
.img1{
    background-image: url('/static/1.jpg');
}
.img2{
    background-image: url('/static/2.jpg');
}
.img3{
    background-image: url('/static/3.jpg');
}
.img4{
    background-image: url('/static/4.jpg');
}
.img5{
    background-image: url('/static/5.jpg');
}
.img6{
    background-image: url('/static/6.jpg');
}
.img7{
    background-image: url('/static/7.jpg');
}
.img8{
    background-image: url('/static/8.jpg');
}
.img9{
    background-image: url('/static/9.jpg');
}
.img10{
    background-image: url('/static/10.jpg');
}
.img11{
    background-image: url('/static/11.jpg');
}
.img12{
    background-image: url('/static/12.jpg');
}
.img13{
    background-image: url('/static/13.jpg');
}
.img14{
    background-image: url('/static/14.jpg');
}
.img15{
    background-image: url('/static/15.jpg');
}
.img16{
    background-image: url('/static/16.jpg');
}
.img18{
    background-image: url('/static/18.jpg');
}
.img19{
    background-image: url('/static/19.jpg');
}
.img20{
    background-image: url('/static/20.jpg');
}

    /* -------------------------------------text Part--(start)-------------------------- */
.text{
    text-align: center;
background-color: rgba(24, 0, 133,0.4);
position: relative; 
padding: 2rem;
color:antiquewhite;
height:37%;
}
.nametag{
    font-weight: 700;
font-style: normal;
font-family: poppins-bold;
font-size: 1.5rem;
}
.nameAns{
    font-weight: 100;
    font-style: normal;
    font-family: poppins-light;
    /* font-size: 2.1rem; */
    font-size: 1rem;
padding : 1rem;
}




.container1{
    background-color: black;
    position:fixed;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    top:0;
    left:0;
    right:0;
    height:4rem;  
    width: 98vw;       
    }

.search{
  height: 1rem;
  background-color: rgb(18, 18, 18);
  border:none;
  color: aliceblue;
  padding: 0.7rem;
  width: 100%;
  border-radius: 0.6rem;
  margin: 0.8rem;
  margin-left: 2rem;
  width:10rem;
}
.search:focus{
  border-width: 0.01rem;
  outline-color: blue;
}

.newtitle{
  font-weight: bold;
  font-size: 3rem;
  color:White;
  font-family: Raleway;
}

.user{
  color: White;
  background-color: rgb(0, 5, 73);
  border-radius: 0.3rem;
  outline-color: rgb(2, 10, 117);
  cursor: pointer;
  height:2.2rem;
  position: relative;
  top:0.4rem;
}
.user:hover{
  opacity: 0.8;
}
.user:active{
  opacity: 0.5;
}

.userinput{
    display: flex;
    flex-direction: row;
    background-color: rgb(22, 26, 61);
    height:3rem;
    position:relative;
    top:0.5rem;
    padding-left:1rem;
    margin-right:1rem;
    }
.userimg{
        height: 2rem;
        position: relative;
        left: 0.8rem;
        top: 0.57rem;
        border-radius: 1rem;
        margin-right: 2rem;
        margin-left: 0.4rem;
    }
    .special{
        font-family: poppins-bold;
        font-size: 3rem;
    }

/* -----------------------------------------text Part--(end)------------------ */

/* -----------------------------------cards Part--(end)----------- */


/* ------------------------------------responsiveness-----------------------------------

*/
@media  (max-width: 500px) {

    html{
        font-size: 7px;
    }

    .container1{
        height: 4rem;
        background-color: red;
        border: 0.2rem solid red;
    }
    
    
     /* /--------------------------------navigation part(end)------------------------- */
    
     .cardBox{
        background: rgb(0,0,0);
    background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(46,84,149,1) 50%, rgba(34,49,122,1) 100%);
        position: absolute;
        width:53vw;
        top: 13rem;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
     }
    
    /* ---------------------------cards part(start)------------------------ */
    .cardone{
        width: 89%;
    height: 29rem;
    padding: 1rem;
    background: rgba(46, 84, 149, 0.48);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(3.9px);
    -webkit-backdrop-filter: blur(3.9px);
    border: 1px solid rgba(46, 84, 149, 0.6);
    margin: 1rem;
    position: relative;
    left: 2rem;
    }
    /* =----------------------------------------lower part-------- */
    .text{
        text-align: center;
    background-color: rgba(24, 0, 133,0.4);
    position: relative; 
    padding: 1rem;
    color:antiquewhite;
    height:37%;
    }
    .nametag{
        font-weight: 700;
    font-style: normal;
    /* font-family: poppins-bold; */
    font-size: 1rem;
    /* background-color: red; */
    color: white;
    }
    .nameAns{
        font-weight: 100;
        font-style: normal;
        font-family: poppins-light;
        font-size: 1.1rem;
    padding : 1rem;
    color: white;
    }
    
    
    
    
    .container1{
        background-color: black;
        position:fixed;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        top:0;
        left:0;
        right:0;
        height:5rem;         
        width: 40rem;
        }
    
    .search{
        position: relative;
        top: 0.7rem;
        right: 0.9rem;
      height: 2.8rem;
      background-color: rgb(18, 18, 18);
      /* background-color: red; */
      border:none;
      color: aliceblue;
      padding: 0.2rem;
      width: 100vw;
      border-radius: 0.6rem;
      margin: 0.2rem;
      margin-left: 2rem;
      width:8rem;
    }
    .search:focus{
      border-width: 0.01rem;
      outline-color: blue;
    }
    
    .newtitle{
        position: relative;
        top: 1.2rem;
        right: 0.7rem;
      font-weight: bold;
      font-size: 1.8rem;
      color:White;
      font-family: Raleway;
    }
    
    .user{
      color: White;
      background-color: rgb(0, 5, 73);
      border-radius: 0.3rem;
      outline-color: rgb(2, 10, 117);
      cursor: pointer;
      height:2.2rem;
      position: relative;
      top:0.4rem;
    }
    .user:hover{
      opacity: 0.8;
    }
    .user:active{
      opacity: 0.5; 
    }
    
    .userinput{
        display: flex;
        flex-direction: row;
        background-color: rgb(22, 26, 61);
        height:3rem;
        position:relative;
        top: 0.8rem;
        padding-left:1rem;
        margin-right:1rem;
        }
        .user>em{
            font-style: normal;
            font-size: 1.4rem;
        }
    .userimg{
            height: 2rem;
            position: relative;
            left: 0.8rem;
            top: 0.57rem;
            border-radius: 1rem;
            margin-right: 2rem;
            margin-left: 0.4rem;
        }
        .special{
            font-size: 3rem;
            font-family: poppins-bold;
        }
    

}


/* //---------------------------------max-width(900px-500px) */
@media (max-width: 900px){
 html{
    font-size: 8px;
 }

 .container1{
    height: 4rem;
    background-color: red;
    border: 0.2rem solid red;
}


 /* /--------------------------------navigation part(end)------------------------- */

 .cardBox{
    background: rgb(0,0,0);
background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(46,84,149,1) 50%, rgba(34,49,122,1) 100%);
/* background-color: red; */
    position: absolute;
    width:100vw;
    top: 13rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
 }

/* ---------------------------cards part(start)------------------------ */
.cardone{
    width: 45%;
height: 29rem;
padding: 1rem;
background: rgba(46, 84, 149, 0.48);
border-radius: 16px;
box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
backdrop-filter: blur(3.9px);
-webkit-backdrop-filter: blur(3.9px);
border: 1px solid rgba(46, 84, 149, 0.6);
margin: 1rem;
position: relative;
left: 2rem;
}
/* =----------------------------------------lower part-------- */
.text{
    text-align: center;
background-color: rgba(24, 0, 133,0.4);
position: relative; 
padding: 1rem;
color:antiquewhite;
height:37%;
}
.nametag{
    font-weight: 700;
font-style: normal;
font-size: 1rem;
color: white;
}
.nameAns{
    font-weight: 100;
    font-style: normal;
    font-family: poppins-light;
    font-size: 1.1rem;
padding : 1rem;
color: white;
}




.container1{
    background-color: black;
    position:fixed;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    top:0;
    left:0;
    right:0;
    height:5rem;         
    width: 100vw;
    }

.search{
    position: relative;
    top: 0.7rem;
    right: 0.9rem;
  height: 2.8rem;
  background-color: rgb(18, 18, 18);
  /* background-color: red; */
  border:none;
  color: aliceblue;
  padding: 0.2rem;
  width: 100vw;
  border-radius: 0.6rem;
  margin: 0.2rem;
  margin-left: 2rem;
  width:8rem;
}
.search:focus{
  border-width: 0.01rem;
  outline-color: blue;
}

.newtitle{
    position: relative;
    top: 1.2rem;
    right: 0.7rem;
  font-weight: bold;
  font-size: 1.8rem;
  color:White;
  font-family: Raleway;
}

.user{
  color: White;
  background-color: rgb(0, 5, 73);
  border-radius: 0.3rem;
  outline-color: rgb(2, 10, 117);
  cursor: pointer;
  height:2.2rem;
  position: relative;
  top:0.4rem;
}
.user:hover{
  opacity: 0.8;
}
.user:active{
  opacity: 0.5; 
}

.userinput{
    display: flex;
    flex-direction: row;
    background-color: rgb(22, 26, 61);
    height:3rem;
    position:relative;
    top: 0.8rem;
    padding-left:1rem;
    margin-right:1rem;
    }
    .user>em{
        font-style: normal;
        font-size: 1.4rem;
    }
.userimg{
        height: 2rem;
        position: relative;
        left: 0.8rem;
        top: 0.57rem;
        border-radius: 1rem;
        margin-right: 2rem;
        margin-left: 0.4rem;
    }
    .special{
        font-size: 2.3rem;
        /* color: red; */
        font-family: poppins-bold;
    }
}







@media screen and (max-width:400px){
    html{
        font-size: 6px;
    }

    .container1{
        height: 4rem;
        background-color: red;
        border: 0.2rem solid red;
    }
    
    
     /* /--------------------------------navigation part(end)------------------------- */
    
     .cardBox{
        background: rgb(0,0,0);
    background: linear-gradient(90deg, rgba(0,0,0,1) 0%, rgba(46,84,149,1) 50%, rgba(34,49,122,1) 100%);
        position: absolute;
        width:100vw;
        top: 13rem;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
     }
    
    /* ---------------------------cards part(start)------------------------ */
    .cardone{
        width: 89%;
    height: 39rem;
    padding: 1rem;
    background: rgba(46, 84, 149, 0.48);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(3.9px);
    -webkit-backdrop-filter: blur(3.9px);
    border: 1px solid rgba(46, 84, 149, 0.6);
    margin: 1rem;
    position: relative;
    left: 2rem;
    }
    /* =----------------------------------------lower part-------- */
    .text{
        text-align: center;
    background-color: rgba(24, 0, 133,0.4);
    position: relative; 
    padding: 1rem;
    color:antiquewhite;
    height:37%;
    }
    .nametag{
        font-weight: 700;
    font-style: normal;
    /* font-family: poppins-bold; */
    font-size: 2rem;
    /* background-color: red; */
    color: white;
    }
    .nameAns{
        font-weight: 100;
        font-style: normal;
        font-family: poppins-light;
        font-size: 1.3rem;
    padding : 1rem;
    color: white;
    }
    
    
    
    
    .container1{
        background-color: black;
        position:fixed;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        top:0;
        left:0;
        right:0;
        height:5rem;         
        width: 100vw;
        }
    
    .search{
        position: relative;
        top: 0.7rem;
        right: 0.9rem;
      height: 2.8rem;
      background-color: rgb(18, 18, 18);
      /* background-color: red; */
      border:none;
      color: aliceblue;
      padding: 0.2rem;
      width: 100vw;
      border-radius: 0.6rem;
      margin: 0.2rem;
      margin-left: 2rem;
      width:8rem;
    }
    .search:focus{
      border-width: 0.01rem;
      outline-color: blue;
    }
    
    .newtitle{
        position: relative;
        top: 1.2rem;
        right: 0.7rem;
      font-weight: bold;
      font-size: 1.8rem;
      color:White;
      font-family: Raleway;
    }
    
    .user{
      color: White;
      background-color: rgb(0, 5, 73);
      border-radius: 0.3rem;
      outline-color: rgb(2, 10, 117);
      cursor: pointer;
      height:2.2rem;
      position: relative;
      top:0.4rem;
    }
    .user:hover{
      opacity: 0.8;
    }
    .user:active{
      opacity: 0.5; 
    }
    
    .userinput{
        display: flex;
        flex-direction: row;
        background-color: rgb(22, 26, 61);
        height:3rem;
        position:relative;
        top: 0.8rem;
        padding-left:1rem;
        margin-right:1rem;
        }
        .user>em{
            font-style: normal;
            font-size: 1.4rem;
        }
    .userimg{
            height: 2rem;
            position: relative;
            left: 0.8rem;
            top: 0.57rem;
            border-radius: 1rem;
            margin-right: 2rem;
            margin-left: 0.4rem;
        }
        .special{
            font-size: 5rem;
            font-family: poppins-bold;
        }
}


